#include<iostream>
#include<algorithm>

using namespace std;

int niza[1000],nizb[1000];

int main()
{
	int t;
	scanf("%d",&t);
	for(int i=0;i<t;i++)
	{
		long long a,b;
		scanf("%lld%lld",&a,&b);
		bool ispisao=false;
		for(int j=3;j<=sqrt(a);j+=2)
		{
			if(a%j==0 && b==j^(a/j))
			{
				printf("%d %d\n",j,a/j);
				ispisao=true;
				break;
			}
		}
		if(!ispisao)
			printf("-1");
	}	
}